/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or (at
 *  your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful, but
 *  WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 *  MA 02110-1301, USA.
 *
 *  Copyright © 2006 Pierre Habouzit
 */

#ifndef MUTT_LIB_LIB_MACROS_H
#define MUTT_LIB_LIB_MACROS_H

/*
 * config.h must be included by source file!
 */

#ifdef _
#  undef _
#endif

#ifdef ENABLE_NLS
#  include <libintl.h>
#define _(a)       (gettext(a))
#  ifdef gettext_noop
#    define N_(a)  gettext_noop(a)
#  else
#    define N_(a)  (a)
#  endif
#else
#  define _(a)     (a)
#  define N_(a)    (a)
#endif


#define TRUE 1
#define FALSE 0

#undef MAX
#undef MIN
#define MAX(a,b) ((a) < (b) ? (b) : (a))
#define MIN(a,b) ((a) < (b) ? (a) : (b))

#endif /* MUTT_LIB_LIB_MACROS_H */
